# Get-RASAVDVersion

### NAME

Get-RASAVDVersion\ <br>

### SYNOPSIS

The cmdlet returns a list of Azure Virtual Desktop Versions.\ <br>

### SYNTAX

Get-RASAVDVersion -[Location](file:///Users/anastasiasharapova/Downloads/Parallels-RAS-v19-4-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDVersion.html#Location) *\<string>* -[Offer](file:///Users/anastasiasharapova/Downloads/Parallels-RAS-v19-4-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDVersion.html#Offer) *\<string>* -[ProviderId](file:///Users/anastasiasharapova/Downloads/Parallels-RAS-v19-4-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDVersion.html#ProviderId) *\<uint>* -[Publisher](file:///Users/anastasiasharapova/Downloads/Parallels-RAS-v19-4-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDVersion.html#Publisher) *\<string>* -[SKU](file:///Users/anastasiasharapova/Downloads/Parallels-RAS-v19-4-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDVersion.html#SKU) *\<string>* \[*<*[*CommonParameters*](file:///Users/anastasiasharapova/Downloads/Parallels-RAS-v19-4-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDVersion.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

The cmdlet returns a list of Azure Virtual Desktop Versions.\ <br>

### PARAMETERS

\
-**ProviderId \<uint>**\
Provider ID from which to retrieve the Azure Virtual Desktop Stock Keeping Unit information.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Location \<string>**\
Location of the Azure Virtual Desktop Provider.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Publisher \<string>**\
The Azure Virtual Desktop Publisher.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Offer \<string>**\
The Azure Virtual Desktop Offer.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SKU \<string>**\
The Azure Virtual Desktop SKU.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

[AVDMarketplaceVersion\[\]](file:///Users/anastasiasharapova/Downloads/Parallels-RAS-v19-4-PowerShell-Guide/RASAdmin/types/AVDMarketplaceVersion\[].html)

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Get-RASAVDVersion -ProviderId 2 -Location "westeurope" -Publisher "my-publisher" -Offer "my-offer" -SKU "my-sku"\
\
Retrieves a list of Versions which fall under the Provider, Location, Publisher, Offer and SKU specified.<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rasavdversion.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
